<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">

    <h:form id="delete_config_form">
        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="delete_config"/>
            <ui:define name="popup_title">
                <s:span styleClass="gzl-icon-exclamation-triangle"/>
                <h:outputText value="#{messages['net.ihe.gazelle.mca.DeleteConfiguration']}"/>
            </ui:define>
            <h:outputText value="#{messages['net.ihe.gazelle.mca.AreYouSureYouWantToDeleteThisConfiguration']}"/>
            <ui:define name="popup_footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.mca.Cancel']}"
                                   oncomplete="jq162('#delete_config').modal('hide');"
                                   execute="@this"/>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.mca.DeleteConfiguration']}"
                                   actionListener="#{configBeanGui.deleteSelectedConfig()}"
                                   oncomplete="jq162('#delete_config').modal('hide');"
                                   styleClass="gzl-btn-red"
                                   render="listForm"
                                   execute="@this"/>
            </ui:define>
        </ui:decorate>
    </h:form>
</ui:composition>
